globus_ftp_client_throughput_nl_plugin.h(3)

NAME
globus_ftp_client_throughput_nl_plugin.h - GridFTP Netlogger Throughput Plugin.

SYNOPSIS

#include 'globus_ftp_client.h'
#include 'globus_ftp_client_plugin.h'
#include 'globus_ftp_client_throughput_plugin.h'
#include 'NetLogger.h'

  Macros

#define GLOBUS_FTP_CLIENT_THROUGHPUT_NL_PLUGIN_MODULE (&globus_i_ftp_client_throughput_nl_plugin_module)

  Functions

globus_result_t globus_ftp_client_throughput_nl_plugin_init (globus_ftp_client_plugin_t *plugin, const char *nl_url, const char *prog_name, const char *opaque_string)
globus_result_t globus_ftp_client_throughput_nl_plugin_init_with_handle (globus_ftp_client_plugin_t *plugin, NLhandle *nl_handle, const char *opaque_string)
globus_result_t globus_ftp_client_throughput_nl_plugin_destroy (globus_ftp_client_plugin_t *plugin)
globus_result_t globus_ftp_client_throughput_nl_plugin_set_callbacks (globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)

Detailed Description

GridFTP Netlogger Throughput Plugin.

Author

Generated automatically by Doxygen for globus_ftp_client from the source code.